Subject: Shepherd writeup for draft-ietf-bfd-stability

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Sun, 14 Jun 2020 18:50:12 +0000

Authors, WG,

The writeup is available at https://datatracker.ietf.org/doc/draft-ietf-bfd-stability/shepherdwriteup/

For convenience I’ve copied the comments on the document below.

Regards,
Reshad.

General:

  *   Don’t use NULL-authentication TLV, use RFC5880 language. e.g.NULL-authentication type.
  *   s/control frame/control packet/ (reuse same terms as in RFC5880)
  *   CC frames is not defined in BFD, use “control packets” instead?
  *   Terminology section would help. In there: secure sequence numbers, meticulous authentication etc could be added.
  *   Missing “the”, “an” in a few sentences.

Introduction

Following sentence is long and not super clear, what’s the essence of the point it’s trying to make?

I’m having a hard time digesting “…, the tolerance for lost or delayed frames in the Detection Time,”. Is it just saying that Detection Time is usually set to smallest value and

because of this there’s little tolerance for delayed/lost packets? Needs tweaking.

                                                      .In order to

   prevent significant data loss due to a datapath failure, the

   tolerance for lost or delayed frames in the Detection Time, as

   defined in BFD [RFC5880] is set to the smallest feasible value.

s/does not propose BFD extension/does not propose any BFD extension/

Requirements Language

Please put this is a separate (sub)section later in the doc, e.g. after intro. Add RFC8174, and have RFCs 2119 and 8174  as normative references.

2. Use cases

Legacy BFD? Why not say BFD as specified in RFC5880. Or add “Legacy BFD”  in terminology section.

Instead of “dead interval”, use “Detection Time” as defined in RFC5880.

s/This draft/This document/

s/enables BFD engine/enables the BFD engine/

Instead of “BFD engine”, use “BFD implementation”? I understand what you mean by “BFD engine”, and ok if you keep it, but it’s not a term I’ve seen in BFD drafts/RFCs.

s/In a faulty datapath scenario, operator/In a faulty datapath scenario, an operator/

Add references for CFM and TWAMP in last paragraph?

3.  BFD Null-Authentication TLV

Rename to BFD Null-Authentication section?

s/BFD control frame that do not/BFD control packets that do not/

Suggestion: consider putting this is a sub-section of section 4 “Theory of operation”?

4. Theory of operations

s/4. Theory of operations/4. Theory of operation/

s/This mechanism allows operator/This mechanism allows operators/

4.1

Following needs clarification. What is “appropriately recorded”? For secure sequence number, add normative reference to draft-ietf-bfd-secure-sequence-numbers.

   When using

   secure sequence numbers, if the expected values are pre-calculated,

   the matched value must be appropriately recorded to detect lost

   frames.